/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../styles//plateg-variables.less';

.choices-list-holder {
  font-size: 1.6rem;
  &.hidden {
    display: none;
  }
  .items-counter {
    font-weight: 500;
    display: block;
    margin-bottom: 8px;
  }
  label {
    font-size: 1.6rem;
  }
  fieldset.choices-list {
    legend {
      margin: 0;
      font-size: 0;
      line-height: 0;
      border: 0;
    }
    .ant-checkbox-wrapper {
      display: flex;
      padding: 4px 0;
      margin: 0;
      .ant-checkbox {
        align-self: flex-start;
        margin-top: 1px;
      }
    }
    .ant-checkbox-group {
      width: 100%;
      border: solid @platform-blue4;
      border-width: 1px 0;
      margin: 16px 0 16px -5px;
      padding: 15px 0 15px 5px;
      display: block;
      &.has-scroll {
        overflow-y: auto;
        max-height: 354px;
      }
    }
  }
  .btn-apply {
    margin-right: 16px;
  }
}
